Bug 965960 - OSError is shown when git push a scaled up python-2.7 app
OSError is shown when git push a scaled up python-2.7 app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 03:33 EDT by Wei Sun
Modified: 2015-05-14 19:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:08:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-05-22 03:33:10 EDT
Description of problem:
Create a scalable python-2.7,and scale up it.And change something in local repo,and git push.When git push the app,OSError is shown like :"OSError: [Errno 17] File exists: '/var/lib/openshift/1fde92a6c2ae11e2ae0912313d317a0c/python//virtenv/lib/python2.7/lib-dynload'"

Version-Release number of selected component (if applicable):
devenv_3257

How reproducible:


Steps to Reproduce:
1.create a scalable python-2.7 app
2.scale up the app
3.change something and git push

Actual results:

remote: + ssh 1fde92a6c2ae11e2ae0912313d317a0c@10.226.101.246 'gear remotedeploy'
remote: Traceback (most recent call last):
remote:   File "/usr/lib/python2.6/site-packages/virtualenv.py", line 2098, in <module>
remote:     main()
remote:   File "/usr/lib/python2.6/site-packages/virtualenv.py", line 928, in main
remote:     never_download=options.never_download)
remote:   File "/usr/lib/python2.6/site-packages/virtualenv.py", line 1029, in create_environment
remote:     site_packages=site_packages, clear=clear))
remote:   File "/usr/lib/python2.6/site-packages/virtualenv.py", line 1164, in install_python
remote:     copyfile(join(stdlib_dir, fn), join(lib_dir, fn))
remote:   File "/usr/lib/python2.6/site-packages/virtualenv.py", line 430, in copyfile
remote:     copyfileordir(src, dest)
remote:   File "/usr/lib/python2.6/site-packages/virtualenv.py", line 405, in copyfileordir
remote:     shutil.copytree(src, dest, True)
remote:   File "/var/lib/openshift/1fde92a6c2ae11e2ae0912313d317a0c/python/opt/lib/python2.7/shutil.py", line 175, in copytree
remote:     os.makedirs(dst)
remote:   File "/var/lib/openshift/1fde92a6c2ae11e2ae0912313d317a0c/python//opt/lib/python2.7/os.py", line 157, in makedirs
remote:     mkdir(name, mode)
remote: OSError: [Errno 17] File exists: '/var/lib/openshift/1fde92a6c2ae11e2ae0912313d317a0c/python//virtenv/lib/python2.7/lib-dynload'
remote: Running virtualenv with interpreter /var/lib/openshift/1fde92a6c2ae11e2ae0912313d317a0c/python//opt/bin/python
remote: Could not find platform dependent libraries <exec_prefix>
remote: Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
remote: Starting WSGIServer on 127.1.1.1:8080 ... 
remote: gevent probably not installed - using default simple server ...
remote: Traceback (most recent call last):
remote:   File "app.py", line 44, in <module>
remote:     run_simple_httpd_server(zapp.application, ip, port)
remote:   File "app.py", line 20, in run_simple_httpd_server
remote:     from wsgiref.simple_server import make_server
remote: ImportError: No module named wsgiref.simple_server
remote: Exit code: 0
remote: New python executable in /var/lib/openshift/307616599348787466469376/python//virtenv/bin/python
remote: Installing setuptools..................done.
remote: Installing pip...............done.
remote: Running virtualenv with interpreter /var/lib/openshift/307616599348787466469376/python//opt/bin/python
remote: Starting WSGIServer on 127.0.254.129:8080 ... 
remote: 127.0.254.129 - - [2013-05-22 03:11:30] "GET / HTTP/1.0" 200 5427 0.000270
remote: 127.0.254.129 - - [2013-05-22 03:11:32] "GET / HTTP/1.0" 200 5427 0.000223
remote: 127.0.254.129 - - [2013-05-22 03:11:34] "GET / HTTP/1.0" 200 5427 0.000234
To ssh://307616599348787466469376@py27s-wsundev3257.dev.rhcloud.com/~/git/py27s.git/
   8816483..9339202  master -> master


Expected results:
Don't have any error message.

Additional info:
If don't scale up the scaling app,this error message is not shown
Comment 2 Wei Sun 2013-05-23 06:53:56 EDT
Will check this bug after devenv_3264 is ready
Comment 3 Wei Sun 2013-05-23 20:26:23 EDT
Verified on INT(devenv_3266).

Result:
[sunwei@dhcp-8-229 py27s]$ gitpush
[master 144342a] test

Counting objects: 5, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 277 bytes, done.
Total 3 (delta 2), reused 0 (delta 0)
remote: CLIENT_RESULT: HAProxy instance is stopped
remote: New python executable in /var/lib/openshift/519eb12603ef649cee000001/python//virtenv/bin/python
remote: Installing setuptools...................done.
remote: Installing pip...............done.
remote: Running virtualenv with interpreter /var/lib/openshift/519eb12603ef649cee000001/python//opt/bin/python
remote:   - Created/Updated virtenv and activated it.
remote:  - Found setup.py. Processing it ...
remote: running develop
remote: running egg_info
remote: creating YourAppName.egg-info
remote: writing requirements to YourAppName.egg-info/requires.txt
remote: writing YourAppName.egg-info/PKG-INFO
remote: writing top-level names to YourAppName.egg-info/top_level.txt
remote: writing dependency_links to YourAppName.egg-info/dependency_links.txt
remote: writing manifest file 'YourAppName.egg-info/SOURCES.txt'
remote: reading manifest file 'YourAppName.egg-info/SOURCES.txt'
remote: writing manifest file 'YourAppName.egg-info/SOURCES.txt'
remote: running build_ext
remote: Creating /var/lib/openshift/519eb12603ef649cee000001/python/virtenv/lib/python2.7/site-packages/YourAppName.egg-link (link to .)
remote: Adding YourAppName 1.0 to easy-install.pth file
remote:
remote: Installed /var/lib/openshift/519eb12603ef649cee000001/app-root/runtime/repo
remote: Processing dependencies for YourAppName==1.0
remote: Searching for gevent
remote: Reading http://mirror1.ops.rhcloud.com/mirror/python/web/simple/gevent/
remote: Reading http://www.gevent.org/
remote: Reading http://gevent.org/
remote: Best match: gevent 0.13.8
remote: Downloading http://mirror1.ops.rhcloud.com/mirror/python/web/packages/source/g/gevent/gevent-0.13.8.tar.gz#md5=ca9dcaa7880762d8ebbc266b11252960
remote: Processing gevent-0.13.8.tar.gz
remote: Running gevent-0.13.8/setup.py -q bdist_egg --dist-dir /tmp/easy_install-8fSelc/gevent-0.13.8/egg-dist-tmp-L6r2rp
remote: zip_safe flag not set; analyzing archive contents...
remote: Linking /tmp/easy_install-8fSelc/gevent-0.13.8/build/lib.linux-x86_64-2.7/gevent/core.so to /tmp/easy_install-8fSelc/gevent-0.13.8/gevent/core.so
remote: Adding gevent 0.13.8 to easy-install.pth file
remote:
remote: Installed /var/lib/openshift/519eb12603ef649cee000001/python/virtenv/lib/python2.7/site-packages/gevent-0.13.8-py2.7-linux-x86_64.egg
remote: Searching for greenlet
remote: Reading http://mirror1.ops.rhcloud.com/mirror/python/web/simple/greenlet/
remote: Reading https://github.com/python-greenlet/greenlet
remote: Reading http://bitbucket.org/ambroff/greenlet
remote: Best match: greenlet 0.4.0
remote: Downloading http://mirror1.ops.rhcloud.com/mirror/python/web/packages/source/g/greenlet/greenlet-0.4.0.zip#md5=87887570082caadc08fb1f8671dbed71
remote: Processing greenlet-0.4.0.zip
remote: Running greenlet-0.4.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-OItV3j/greenlet-0.4.0/egg-dist-tmp-iU6lb5
remote: greenlet.c: In function 'g_switch':
remote: greenlet.c:543: warning: 'err' may be used uninitialized in this function
remote: Adding greenlet 0.4.0 to easy-install.pth file
remote:
remote: Installed /var/lib/openshift/519eb12603ef649cee000001/python/virtenv/lib/python2.7/site-packages/greenlet-0.4.0-py2.7-linux-x86_64.egg
remote: Finished processing dependencies for YourAppName==1.0
remote:  - Done processing setup.py
remote: Script /var/lib/openshift/519eb12603ef649cee000001/python//virtenv/bin/activate.csh cannot be made relative (it's not a normal script that starts with #!/var/lib/openshift/519eb12603ef649cee000001/python/virtenv/bin/python)
remote: Script /var/lib/openshift/519eb12603ef649cee000001/python//virtenv/bin/activate.fish cannot be made relative (it's not a normal script that starts with #!/var/lib/openshift/519eb12603ef649cee000001/python/virtenv/bin/python)
remote: Making script /var/lib/openshift/519eb12603ef649cee000001/python//virtenv/bin/easy_install-2.7 relative
remote: Making script /var/lib/openshift/519eb12603ef649cee000001/python//virtenv/bin/pip relative
remote: Making script /var/lib/openshift/519eb12603ef649cee000001/python//virtenv/bin/pip-2.7 relative
remote: Making script /var/lib/openshift/519eb12603ef649cee000001/python//virtenv/bin/easy_install relative
remote: CLIENT_RESULT: HAProxy instance is started
remote: SSH_CMD: ssh 519eb1e703ef64823d00001a@10.196.241.187
remote: ++ date
remote: + echo 'Syncing to gear: 519eb1e703ef64823d00001a@10.196.241.187:python @ ' Thu May 23 20:23:30 EDT 2013
remote: Syncing to gear: 519eb1e703ef64823d00001a@10.196.241.187:python @  Thu May 23 20:23:30 EDT 2013
remote: + for rpccall in '"${OPENSHIFT_SYNC_GEARS_PRE[@]}"'
remote: + ssh 519eb1e703ef64823d00001a@10.196.241.187 'gear stop'
remote: Stopping gear...
remote: + for subd in '"${OPENSHIFT_SYNC_GEARS_DIRS[@]}"'
remote: + '[' -d /var/lib/openshift/519eb12603ef649cee000001/python//../app-root/repo ']'
remote: + rsync --exclude-from=/var/lib/openshift/519eb12603ef649cee000001/python/metadata/rsync.excludes --delete-after -az /var/lib/openshift/519eb12603ef649cee000001/python//../app-root/repo/ 519eb1e703ef64823d00001a@10.196.241.187:python/../app-root/repo/
remote: + for subd in '"${OPENSHIFT_SYNC_GEARS_DIRS[@]}"'
remote: + '[' -d /var/lib/openshift/519eb12603ef649cee000001/python//node_modules ']'
remote: + for subd in '"${OPENSHIFT_SYNC_GEARS_DIRS[@]}"'
remote: + '[' -d /var/lib/openshift/519eb12603ef649cee000001/python//virtenv ']'
remote: + rsync --exclude-from=/var/lib/openshift/519eb12603ef649cee000001/python/metadata/rsync.excludes --delete-after -az /var/lib/openshift/519eb12603ef649cee000001/python//virtenv/ 519eb1e703ef64823d00001a@10.196.241.187:python/virtenv/
remote: + for subd in '"${OPENSHIFT_SYNC_GEARS_DIRS[@]}"'
remote: + '[' -d /var/lib/openshift/519eb12603ef649cee000001/python//../.m2 ']'
remote: + for subd in '"${OPENSHIFT_SYNC_GEARS_DIRS[@]}"'
remote: + '[' -d /var/lib/openshift/519eb12603ef649cee000001/python//.openshift ']'
remote: + for subd in '"${OPENSHIFT_SYNC_GEARS_DIRS[@]}"'
remote: + '[' -d /var/lib/openshift/519eb12603ef649cee000001/python//deployments ']'
remote: + for subd in '"${OPENSHIFT_SYNC_GEARS_DIRS[@]}"'
remote: + '[' -d /var/lib/openshift/519eb12603ef649cee000001/python//perl5lib ']'
remote: + for subd in '"${OPENSHIFT_SYNC_GEARS_DIRS[@]}"'
remote: + '[' -d /var/lib/openshift/519eb12603ef649cee000001/python//phplib ']'
remote: + for rpccall in '"${OPENSHIFT_SYNC_GEARS_POST[@]}"'
remote: + ssh 519eb1e703ef64823d00001a@10.196.241.187 'gear remotedeploy'
remote: New python executable in /var/lib/openshift/519eb1e703ef64823d00001a/python//virtenv/bin/python
remote: Installing setuptools..................done.
remote: Installing pip...............done.
remote: Running virtualenv with interpreter /var/lib/openshift/519eb1e703ef64823d00001a/python//opt/bin/python
remote: Exit code: 0
remote: New python executable in /var/lib/openshift/519eb12603ef649cee000001/python//virtenv/bin/python
remote: Installing setuptools..................done.
remote: Installing pip...............done.
remote: Running virtualenv with interpreter /var/lib/openshift/519eb12603ef649cee000001/python//opt/bin/python
To ssh://519eb12603ef649cee000001@py27s-wsun2int.int.rhcloud.com/~/git/py27s.git/
   75af44f..144342a  master -> master

Note You need to log in before you can comment on or make changes to this bug.